# Generated by Django 5.0.6 on 2024-06-13 09:37

from django.db import migrations


def fix_suffixes(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        old_suffix = str(home_page.title_suffix)

        home_page.title_suffix = (
            home_page.title_suffix.replace("piráti", "")
            .replace("Piráti", "")
            .replace("PIRÁTI", "")
        )
        home_page.title_suffix = home_page.title_suffix.replace("MS", "").replace(
            "KS", ""
        )
        home_page.title_suffix = home_page.title_suffix.strip()

        if home_page.title_suffix != old_suffix:
            print(f"Replaced suffix for page {home_page.title}")

        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0226_remove_districtelectionprogrampage_page_ptr_and_more"),
    ]

    operations = [migrations.RunPython(fix_suffixes)]
