# Generated by Django 3.2.6 on 2021-09-02 18:33

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("elections2021", "0046_elections2021downloadspage_text_downloads"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021homepage",
            name="footer_menu",
            field=wagtail.fields.StreamField(
                [
                    (
                        "item",
                        wagtail.blocks.StructBlock(
                            [
                                ("name", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "page",
                                    wagtail.blocks.PageChooserBlock(
                                        label="stránka",
                                        page_type=[
                                            "elections2021.Elections2021ArticlesPage",
                                            "elections2021.Elections2021CandidatesListPage",
                                            "elections2021.Elections2021CandidatesMapPage",
                                            "elections2021.Elections2021ProgramPage",
                                            "elections2021.Elections2021QuestionsPage",
                                            "elections2021.Elections2021ProgramAppPage",
                                            "elections2021.Elections2021TextPage",
                                            "elections2021.Elections2021StrategicListPage",
                                            "elections2021.Elections2021StrategicPage",
                                            "elections2021.Elections2021MythsPage",
                                            "elections2021.Elections2021DownloadsPage",
                                            "elections2021.Elections2021GovernmentTeamPage",
                                            "elections2021.Elections2021CalendarPage",
                                            "elections2021.Elections2021ProgramInNutshellPage",
                                            "elections2021.Elections2021GoingToVotePage",
                                        ],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="menu projděte si v zápatí",
            ),
        ),
        migrations.CreateModel(
            name="Elections2021GoingToVotePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "subtitle",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="podnadpis"
                    ),
                ),
                (
                    "video",
                    models.URLField(
                        blank=True, null=True, verbose_name="video na youtube"
                    ),
                ),
                (
                    "bottom_title",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        verbose_name="spodní nadpis",
                    ),
                ),
                (
                    "bottom_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="spodní obsah"
                    ),
                ),
                (
                    "section1_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section1_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section2_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section2_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section3_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section3_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section4_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section4_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section6_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section6_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section7_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section7_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section8_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section8_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "section9_title",
                    models.CharField(
                        blank=True, max_length=255, null=True, verbose_name="titulek"
                    ),
                ),
                (
                    "section9_text",
                    wagtail.fields.RichTextField(
                        blank=True, null=True, verbose_name="program"
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
                (
                    "section1_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section2_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section3_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section4_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section6_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section7_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section8_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
                (
                    "section9_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="obrázek",
                    ),
                ),
            ],
            options={
                "verbose_name": "Jdeme k volbám",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
