# Generated by Django 3.1.7 on 2021-03-26 14:27

import django.db.models.deletion
import modelcluster.fields
import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0060_fix_workflow_unique_constraint"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("uniweb", "0014_auto_20210217_1316"),
    ]

    operations = [
        migrations.CreateModel(
            name="UniwebFormPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content_before",
                    wagtail.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.blocks.CharBlock(
                                    group="nadpisy",
                                    icon="title",
                                    label="nadpis",
                                    template="uniweb/blocks/title.html",
                                ),
                            ),
                            (
                                "advanced_title",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="nadpis"),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "picture_title",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="nadpis"),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    group="texty",
                                    label="text",
                                    template="uniweb/blocks/text.html",
                                ),
                            ),
                            (
                                "advanced_text",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="text",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "advanced_text_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.ListBlock(
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="obrázek"
                                    ),
                                    group="ostatní",
                                    icon="image",
                                    label="galerie",
                                    template="uniweb/blocks/gallery.html",
                                ),
                            ),
                            (
                                "picture_list",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="odstavec",
                                                ),
                                                label="odstavce",
                                            ),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr 25x25px nebo více (obrázek bude zmenšen na 25x25px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    group="ostatní",
                                    label="tabulka",
                                    template="uniweb/blocks/table.html",
                                ),
                            ),
                            (
                                "articles",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="sekce článků",
                                                page_type=[
                                                    "uniweb.UniwebArticlesIndexPage"
                                                ],
                                            ),
                                        ),
                                        (
                                            "lines",
                                            wagtail.blocks.IntegerBlock(
                                                default=1,
                                                help_text="zobrazí se tři články na řádek",
                                                label="počet řádků",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky před formulářem",
                    ),
                ),
                (
                    "content_after",
                    wagtail.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.blocks.CharBlock(
                                    group="nadpisy",
                                    icon="title",
                                    label="nadpis",
                                    template="uniweb/blocks/title.html",
                                ),
                            ),
                            (
                                "advanced_title",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="nadpis"),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "picture_title",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="nadpis"),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text",
                                wagtail.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    group="texty",
                                    label="text",
                                    template="uniweb/blocks/text.html",
                                ),
                            ),
                            (
                                "advanced_text",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="text",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "advanced_text_columns",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "left_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.blocks.ListBlock(
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="obrázek"
                                    ),
                                    group="ostatní",
                                    icon="image",
                                    label="galerie",
                                    template="uniweb/blocks/gallery.html",
                                ),
                            ),
                            (
                                "picture_list",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.blocks.ListBlock(
                                                wagtail.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="odstavec",
                                                ),
                                                label="odstavce",
                                            ),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr 25x25px nebo více (obrázek bude zmenšen na 25x25px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    group="ostatní",
                                    label="tabulka",
                                    template="uniweb/blocks/table.html",
                                ),
                            ),
                            (
                                "articles",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "page",
                                            wagtail.blocks.PageChooserBlock(
                                                label="sekce článků",
                                                page_type=[
                                                    "uniweb.UniwebArticlesIndexPage"
                                                ],
                                            ),
                                        ),
                                        (
                                            "lines",
                                            wagtail.blocks.IntegerBlock(
                                                default=1,
                                                help_text="zobrazí se tři články na řádek",
                                                label="počet řádků",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky za formulářem",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Formulářová stránka",
            },
            bases=(
                "wagtailcore.page",
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="UniwebFormField",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                (
                    "clean_name",
                    models.CharField(
                        blank=True,
                        default="",
                        help_text="Safe name of the form field, the label converted to ascii_snake_case",
                        max_length=255,
                        verbose_name="name",
                    ),
                ),
                (
                    "label",
                    models.CharField(
                        help_text="The label of the form field",
                        max_length=255,
                        verbose_name="label",
                    ),
                ),
                (
                    "field_type",
                    models.CharField(
                        choices=[
                            ("singleline", "Single line text"),
                            ("multiline", "Multi-line text"),
                            ("email", "Email"),
                            ("number", "Number"),
                            ("url", "URL"),
                            ("checkbox", "Checkbox"),
                            ("checkboxes", "Checkboxes"),
                            ("dropdown", "Drop down"),
                            ("multiselect", "Multiple select"),
                            ("radio", "Radio buttons"),
                            ("date", "Date"),
                            ("datetime", "Date/time"),
                            ("hidden", "Hidden field"),
                        ],
                        max_length=16,
                        verbose_name="field type",
                    ),
                ),
                (
                    "required",
                    models.BooleanField(default=True, verbose_name="required"),
                ),
                (
                    "choices",
                    models.TextField(
                        blank=True,
                        help_text="Comma separated list of choices. Only applicable in checkboxes, radio and dropdown.",
                        verbose_name="choices",
                    ),
                ),
                (
                    "default_value",
                    models.CharField(
                        blank=True,
                        help_text="Default value. Comma separated values supported for checkboxes.",
                        max_length=255,
                        verbose_name="default value",
                    ),
                ),
                (
                    "help_text",
                    models.CharField(
                        blank=True, max_length=255, verbose_name="help text"
                    ),
                ),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="form_fields",
                        to="uniweb.uniwebformpage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
    ]
