# Generated by Django 5.0.6 on 2024-07-11 14:49

from django.db import migrations


def migrate_calendar_blocks(apps, schema_editor):
    model_fields = {
        "UniwebHomePage": ["content"],
        "UniwebFlexiblePage": ["content"],
        "UniwebFormPage": ["content_before", "content_after", "content_landing"],
    }

    def process_block(block):
        # Perform your block transformation logic here
        # For example, replace some blocks with different blocks
        if block.block_type == "calendar_agenda":
            new_block_value = {"title": "Kalendář"}

            new_block = ("calendar", new_block_value)

            return new_block

        return (block.block_type, block.value)

    for model_name, fields in model_fields.items():
        model = apps.get_model("uniweb", model_name)

        for instance in model.objects.all():
            for field in fields:
                new_values = []

                for block in getattr(instance, field):
                    new_block = process_block(block)
                    new_values.append(new_block)

                # Clean the old field (e.g., instance.content = [])
                setattr(instance, field, [])

                # Put all the values back in the field, maintaining the order
                stream_value = [(block_type, value) for block_type, value in new_values]
                setattr(instance, field, stream_value)

                instance.save()


class Migration(migrations.Migration):
    dependencies = [
        ("uniweb", "0093_alter_uniwebflexiblepage_content_and_more"),
    ]

    operations = [migrations.RunPython(migrate_calendar_blocks)]
